summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gmail.com>2008-05-03 22:32:44 +0000
committerMatt Turner <mattst88@gmail.com>2008-05-03 22:32:44 +0000
commit8611b0c466fd6324476de48f32ef8060e9303dd5 (patch)
tree7d61ca4b29d499f2f93b9f8d546fe25af55cfb08
parent0e7298fcc0942303ca72ea467ac451507d403f19 (diff)
Add libcxml
git-svn-id: svn://mattst88.com/svn/compaq-c-overlay@15 8c41e67f-757b-4206-be13-12d8f16ad5be
-rw-r--r--dev-libs/libcxml/Manifest3
-rw-r--r--dev-libs/libcxml/libcxml-5.2.0.ebuild57
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-libs/libcxml/Manifest b/dev-libs/libcxml/Manifest
new file mode 100644
index 0000000..f8aa639
--- /dev/null
+++ b/dev-libs/libcxml/Manifest
@@ -0,0 +1,3 @@
+DIST cxml_ev5-5.2.0-2.alpha.rpm 12664482 RMD160 33749e559ed518bb8ddc4feea1296a1c087cc2a7 SHA1 56e50bdabf42f4f5fa3fca34c363ea47810e5da7 SHA256 24835af259f7d48c52fccc542fb7d7b8aa5d804f891cae459c34ecb1d33696f7
+DIST cxml_ev6-5.2.0-2.alpha.rpm 10949640 RMD160 d3b0688fa5fabfc291fc13d08d2640ce73d00c4b SHA1 c457c908ee39c6e6a6ec5d42b762de610e34243a SHA256 362c1ef82caf98fb047c6a5507b0535595f4534c3e5dab395a905c9e9a2fb355
+EBUILD libcxml-5.2.0.ebuild 1281 RMD160 2a7d9dbcd47a7fb73ad9cd2d9a200ced924f45f9 SHA1 7e2dcbdb24f65625d527499de44b716470aa6d7c SHA256 deefb8286fdcea57ea9b1243fd34fb83e5da95be85e7569c47bf9f0ad882fe07
diff --git a/dev-libs/libcxml/libcxml-5.2.0.ebuild b/dev-libs/libcxml/libcxml-5.2.0.ebuild
new file mode 100644
index 0000000..dd62a4e
--- /dev/null
+++ b/dev-libs/libcxml/libcxml-5.2.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libcxml/libcxml-5.2.0.ebuild,v 1.9 2005/08/24 09:06:34 taviso Exp $
+
+inherit eutils rpm
+
+DESCRIPTION="Compaqs eXtended Math Library for linux alpha"
+HOMEPAGE="ftp://ftp.compaq.com/pub/products/C-CXX/linux/"
+SRC_URI="ev6? (cxml_ev6-5.2.0-2.alpha.rpm)
+ !ev6? (cxml_ev5-5.2.0-2.alpha.rpm)"
+
+LICENSE="compaq-sdla"
+SLOT="0"
+KEYWORDS="-* ~alpha"
+IUSE="ev6 doc"
+RESTRICT="fetch strip"
+
+S="${WORKDIR}/usr"
+
+DEPEND="virtual/libc
+ app-arch/rpm2targz
+ dev-libs/libots
+ dev-libs/libcpml"
+RDEPEND="dev-libs/libots
+ dev-libs/libcpml"
+
+# non portage variable
+RELEASE="5.2.0-2"
+
+src_unpack() {
+ local EV; use ev6 && EV=ev6 || EV=ev5
+
+ rpm_src_unpack
+
+ if ! use doc >/dev/null ; then
+ einfo "Removing unwanted documentation (USE=\"-doc\")..."
+ rm -rf usr/doc
+ else
+ einfo "Reorganising Documentation..."
+ mkdir usr/share
+ mv usr/doc usr/share/
+ fi
+
+}
+
+src_compile () {
+ local EV; use ev6 && EV=ev6 || EV=ev5
+ cd ${WORKDIR}/usr/lib/compaq/cxml-${RELEASE%*-2}
+
+ ld -shared -o libcxml_${EV}.so -soname libcxml.so \
+ -whole-archive libcxml_${EV}.a -no-whole-archive -lots -lcpml
+}
+
+src_install () {
+ mv ${WORKDIR}/usr "${D}"
+ prepalldocs
+}